<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html" encoding="UTF-8"/>

    <xsl:template match="alert">
        <html>
            <head>
                <title>
                    <xsl:value-of select="application"/>
                </title>
                <style>body {font-family: arial, verdana, sans-serif; color: #000066; background-color: #f1f1f1;}</style>
<!--                <style>.mainheader { margin: 5 0; padding: 2; text-align: center; font-weight: bold; font-size: 100%; }</style>-->
<!--                <style>.header_alert { margin: 1 0; padding: 2; border: 1px solid #666666; text-align: left; background-color: #FF7E79; font-weight: bold; }</style>-->
<!--                <style>.header_norm { margin: 1 0; padding: 2; border: 1px solid #666666; text-align: left; background-color: #9DFAAC; font-weight: bold; }</style>-->
                <style>.header_norm { margin: 1 0; padding: 2; border: 1px solid #666666; text-align: left; font-weight: bold; }</style>
                <style>.header_log { margin: 1 0; padding: 2; border: 1px solid #666666; text-align: left; background-color:#f1f1f1; font-weight: bold; }</style>
                <style>table { text-align: center; padding: 0; border-collapse: collapse; width: 100%;}</style>
                <style>table .header{ font-weight: bold; text-align: center; background-color: #f6ffd5; }</style>
                <style>table td { border: 1px solid #666666; padding: 2px; text-align: left; }</style>
                <style>.row { background-color:#f1f1f1; }</style>
                <style>.separator {margin: 2; font-size: 0; }</style>
<!--                <style>.bigseparator {margin: 6; font-size: 0; }</style>-->
                <style>.oklog { background-color: #9DFAAC; font-size:100%; }</style>
                <style>.errorlog { background-color: #FF7E79; }</style>
                <style>.warninglog { background-color: yellow; }</style>
<!--                <style>.errorlog2 { background-color: #FF7E79; }</style>-->
<!--                <style>.warninglog2 { background-color: yellow; }</style>-->

<!--                <style>.hdr_alert { margin: 1 0; padding: 0; border: 1px solid #666666; font-weight: bold; background-color: #FF7E79; }</style>-->
<!--                <style>.hdr_ok { margin: 1 0; padding: 0; border: 1px solid #666666; font-weight: bold; background-color: #9DFAAC; }</style>-->

            </head>
            <body>
<!--                <div class="hdr_ok">-->
<!--                    <xsl:if test="status='1'">-->
<!--                        <xsl:attribute name="class">hdr_alert</xsl:attribute>-->
<!--                    </xsl:if>-->
<!--                    <xsl:choose>-->
<!--                        <xsl:when test="status='1'">Alert for&#160;</xsl:when>-->
<!--                        <xsl:otherwise>Status OK for&#160;</xsl:otherwise>-->
<!--                    </xsl:choose>-->
<!--                    <xsl:value-of select="name_server"/> at <xsl:value-of select="create_date"/>-->
<!--                    <xsl:value-of select="message"/>-->
<!--                </div>-->


                <table>
                    <tr class="row">
                        <td>
                            <xsl:if test="status='1'">
                                <xsl:attribute name="class">errorlog</xsl:attribute>
                            </xsl:if>
                            <xsl:choose>
                                <xsl:when test="status='1'">Alert for&#160;</xsl:when>
                                <xsl:otherwise>Status OK for&#160;</xsl:otherwise>
                            </xsl:choose>
                            <xsl:value-of select="name_server"/> at <xsl:value-of select="create_date"/><xsl:value-of select="message"/>
                        </td>
                    </tr>
                </table>
                <div class="separator"/>
                <div class="separator"/>

                <xsl:apply-templates select="tsmavailable"/>
                <xsl:apply-templates select="db"/>
                <xsl:apply-templates select="log"/>
                <xsl:apply-templates select="offlinelogvolumes"/>
                <xsl:apply-templates select="drivenotonline"/>
                <xsl:apply-templates select="pathnotonline"/>
                <xsl:apply-templates select="volumeerror"/>
                <xsl:apply-templates select="numsession"/>
                <xsl:apply-templates select="numscratch"/>
                <xsl:apply-templates select="request"/>
                <xsl:apply-templates select="actlog"/>
                <xsl:apply-templates select="tsmevent"/>
                <xsl:apply-templates select="extevent"/>
                <xsl:apply-templates select="approve"/>

                <div class="cssbr">&#160;</div>
                <table style="width:100%;">
                    <tr>
                        <td style="border:0px; text-align:center; font-size: 75%;">host:&#160;<xsl:value-of select="hostname_collector"/>&#160;&#160;&#160;ip:&#160;<xsl:value-of select="ip_collector"/>&#160;&#160;&#160;version:&#160;<xsl:value-of
                                select="version_collector"/>
<!--                            &#160;&#160;&#160;platform:&#160;<xsl:value-of select="platform_collector"/>-->
                        </td>
                    </tr>
                </table>
            </body>
        </html>
    </xsl:template>

    <xsl:template match="tsmavailable">
        <div class="header_norm">
            <xsl:value-of select="message"/>
        </div>
        <div class="separator"/>
    </xsl:template>


    <xsl:template match="db">
        <table>
            <tr class="header_norm">
                <td colspan="3">
                    <xsl:value-of select="message"/>
                </td>
            </tr>
            <tr class="header">
                <td>Database usage</td>
                <td>Free space</td>
                <td>Last DB backup</td>
            </tr>
            <tr class="row">
                <td>
                    <xsl:value-of select="pct_db"/>
                </td>
                <td>
                    <xsl:value-of select="free_mb"/>
                </td>
                <td>
                    <xsl:value-of select="last_backup_date"/>
                </td>
            </tr>
        </table>
        <div class="separator"/>
    </xsl:template>

    <xsl:template match="log">
        <table>
            <tr class="header_norm">
                <td colspan="3">
                    <xsl:value-of select="message"/>
                </td>
            </tr>

            <tr class="header">
                <td>Recovery log usage</td>
            </tr>
            <tr class="row">
                <td>
                    <xsl:value-of select="pct_log"/>
                </td>
            </tr>
        </table>
        <div class="separator"/>
    </xsl:template>

    <xsl:template match="drivenotonline">
        <div class="header_norm">
            <xsl:value-of select="message"/>
        </div>
        <table>
            <tr class="header">
                <td>Library name</td>
                <td>Drive name</td>
                <td>Device type</td>
                <td>Online</td>
            </tr>
            <tr class="row">
                <td>
                    <xsl:value-of select="library_name"/>
                </td>
                <td>
                    <xsl:value-of select="drive_name"/>
                </td>
                <td>
                    <xsl:value-of select="device_type"/>
                </td>
                <td>
                    <xsl:value-of select="online"/>
                </td>
            </tr>
        </table>
        <div class="separator"/>
    </xsl:template>


    <xsl:template match="pathnotonline">
        <div class="header_norm">
            <xsl:value-of select="message"/>
        </div>
        <table>
            <tr class="header">
                <td>Source name</td>
                <td>Source type</td>
                <td>Destination name</td>
                <td>Destination type</td>
                <td>Device</td>
                <td>Online</td>
            </tr>
            <tr class="row">
                <td>
                    <xsl:value-of select="source_name"/>
                </td>
                <td>
                    <xsl:value-of select="source_type"/>
                </td>
                <td>
                    <xsl:value-of select="destination_name"/>
                </td>
                <td>
                    <xsl:value-of select="destination_type"/>
                </td>
                <td>
                    <xsl:value-of select="device"/>
                </td>
                <td>
                    <xsl:value-of select="online"/>
                </td>
            </tr>
        </table>
        <div class="separator"/>
    </xsl:template>


    <xsl:template match="volumeerror">
        <div class="header_norm">
            <xsl:value-of select="message"/>
        </div>
        <table>
            <tr class="header">
                <td>Volume name</td>
                <td>Storage pool name</td>
                <td>Read errors</td>
                <td>Write errors</td>
            </tr>
            <tr class="row">
                <td>
                    <xsl:value-of select="volume_name"/>
                </td>
                <td>
                    <xsl:value-of select="stgpool_name"/>
                </td>
                <td>
                    <xsl:value-of select="read_errors"/>
                </td>
                <td>
                    <xsl:value-of select="write_errors"/>
                </td>
            </tr>
        </table>
        <div class="separator"/>
    </xsl:template>


    <xsl:template match="numsession">
        <div class="header_norm">
            <xsl:value-of select="message"/>
        </div>
    </xsl:template>

    <xsl:template match="numscratch">
        <div class="header_norm">
            <xsl:value-of select="message"/>
        </div>
    </xsl:template>

    <xsl:template match="request">
        <div class="header_log">Request</div>
        <table>
            <tr class="header">
                <td>Reqeust number</td>
                <td>Request message</td>
            </tr>
            <xsl:apply-templates select="req"/>
        </table>
        <div class="separator"/>
    </xsl:template>
    <xsl:template match="request/req">
        <tr class="row">
            <td>
                <xsl:value-of select="request_number"/>
            </td>
            <td>
                <xsl:value-of select="request_message"/>
            </td>
        </tr>
    </xsl:template>


    <xsl:template match="actlog">
        <table>
            <tr class="header">
                <td>Date</td>
                <td>Message</td>
            </tr>
            <xsl:apply-templates select="message"/>
        </table>
        <div class="separator"/>
    </xsl:template>
    <xsl:template match="message">
        <tr class="row">
            <xsl:if test="severity='E'">
                <xsl:attribute name="class">errorlog</xsl:attribute>
            </xsl:if>

            <xsl:if test="severity='W' or severity='S'">
                <xsl:attribute name="class">warninglog</xsl:attribute>
            </xsl:if>

            <td NOWRAP="">
                <xsl:value-of select="date"/>
            </td>
            <td>
                <xsl:value-of select="message"/>
            </td>
        </tr>
    </xsl:template>

    <xsl:template match="tsmevent">
        <table>
            <tr class="header_norm">
                <td colspan="7">
                    <xsl:value-of select="message"/>
                </td>
            </tr>
            <tr class="header">
                <td>Scheduled Start</td>
                <td>Start Event</td>
                <td>End Event</td>
                <td>Domain</td>
                <td>Node</td>
                <td>Schedule</td>
                <td>Status</td>
            </tr>
            <tr class="row">
                <xsl:if test="status='Failed'">
                    <xsl:attribute name="class">errorlog</xsl:attribute>
                </xsl:if>

                <xsl:if test="status='Missed'">
                    <xsl:attribute name="class">warninglog</xsl:attribute>
                </xsl:if>
                <td>
                    <xsl:value-of select="scheduled_start"/>
                </td>
                <td>
                    <xsl:value-of select="start"/>
                </td>
                <td>
                    <xsl:value-of select="end"/>
                </td>
                <td>
                    <xsl:value-of select="domain_name"/>
                </td>
                <td>
                    <xsl:value-of select="node_name"/>
                </td>
                <td>
                    <xsl:value-of select="schedule_name"/>
                </td>
                <td>
                    <xsl:value-of select="status"/>
                </td>
            </tr>
        </table>
        <div class="separator"/>
    </xsl:template>

    <xsl:template match="extevent">
        <table>
            <tr class="header_norm">
                <td colspan="6">
                    <xsl:value-of select="message"/>
                </td>
            </tr>
            <tr class="header">
                <td>Start event</td>
                <td>End event</td>
                <td>Node</td>
                <td>Address</td>
                <td>Status</td>
                <td>Message</td>
            </tr>
            <tr class="errorlog">
                <td>
                    <xsl:value-of select="start"/>
                </td>
                <td>
                    <xsl:value-of select="end"/>
                </td>
                <td>
                    <xsl:value-of select="node_name"/>
                </td>
                <td>
                    <xsl:value-of select="address"/>
                </td>
                <td>
                    <xsl:value-of select="status"/>
                </td>
                <td>
                    <xsl:value-of select="extmessage"/>
                </td>
            </tr>
        </table>
        <div class="separator"/>
    </xsl:template>

    <xsl:template match="approve">
        <div class="header_norm">
            <xsl:value-of select="message"/>
        </div>
        <table>
            <tr class="header">
                <td>Request ID</td>
                <td>Date</td>
                <td>Administrator</td>
                <td>Command</td>
            </tr>
            <tr class="Missed">
                <td>
                    <xsl:value-of select="requestid"/>
                </td>
                <td>
                    <xsl:value-of select="datetime"/>
                </td>
                <td>
                    <xsl:value-of select="admin"/>
                </td>
                <td>
                    <xsl:value-of select="command"/>
                </td>
            </tr>
        </table>
        <div class="separator"/>
    </xsl:template>

</xsl:stylesheet>
