<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html" encoding="UTF-8"/>

    <xsl:template match="report">
        <html>
            <head>
                <title>
                    <xsl:value-of select="application"/>
                </title>
                <style>
                    body{
                    font-family: arial, verdana, sans-serif;
                    color:#000066;
                    font-size: 13px;
                    }

                    .header{
                    padding:0;
                    border:1px solid #666666;
                    text-align:left;
                    background-color:#ACBDD0;
                    font-weight:bold;
                    white-space:nowrap;
                    }

                    .separator{
                    background-color:#ACBDD0;
                    height:3px;
                    }

                    .mainTable{
                    border-collapse:collapse;
                    width:100%;
                    font-size : 100%;
                    }

                    .barTable{
                    border:none;
                    border-collapse: collapse;
                    font-size : 100%;
                    }

                    .headerTab{
                    text-align:left;
                    background-color:#ACBDD0;
                    font-weight:bold;
                    font-size:110%;
                    white-space:nowrap;
                    }

                    .headerRow{
                    font-weight:bold;
                    background-color:#f6ffd5;
                    }

                    .headerOK{
                    font-weight:bold;
                    background-color:#f6ffd5;
                    color:#006400;
                    }

                    td{
                    border:1px solid #929292;
                    padding:3px;
                    text-align:left;
                    }

                    .row{
                    background-color:#f1f1f1;
                    }

                    .row_red{
                    background-color:#FF7E79;
                    }

                    .row_yellow{
                    background-color:#F0F0B4;
                    }

                    .row_yellow2{
                    background-color:#F6EFD6;
                    }

                    .cssbr{
                    font-size: 10px;
                    margin:0 0;
                    width:100%;
                    }

                    .error{
                    background-color:#FF7E79;
                    color:white;
                    }

                    .warning{
                    background-color:#E9D799;
                    }

                    .warning2{
                    background-color:#F6EFD6;
                    }



                    .progress{
                    background-color:#1094D9;
                    color:white;
                    }

                    .started{
                    background-color:#1094D9;
                    color:white;
                    }

                    .running{
                    background-color:#1094D9;
                    color:white;
                    }



                    .completed{
                    background-color:#9DFAAC;
                    }


                    .hr{
                    height:1px;
                    color:#666666;
                    }

                    .cell-breakWord {
                    word-wrap: break-word;
                    max-width: 1px;
                    }

                    .box_yellow{
                    border:1px;
                    border-style:solid;
                    border-color:#666666;
                    background-color:#E9D799;
                    color:#E9D799;
                    }

                    .box_red{
                    border:1px;
                    border-style:solid;
                    border-color:#666666;
                    background-color:#FF7E79;
                    color:#FF7E79;
                    }

                    .box_green{
                    border:1px;
                    border-style:solid;
                    border-color:#666666;
                    background-color:#9DFAAC;
                    color:#9DFAAC;
                    }

                    .box_blue{
                    border:1px;
                    border-style:solid;
                    border-color:#666666;
                    background-color:#1094D9;
                    color:#1094D9;
                    }
                </style>
            </head>
            <body>
                <script>
                    function myFunction(ID) {
                    var x = document.getElementById(ID);
                    if (x.style.display === "none") {
                        x.style.display = "block";
                        document.getElementById("toggle_"+ID).innerHTML = "-";
                    } else {
                        x.style.display = "none";
                        document.getElementById("toggle_"+ID).innerHTML ="+";
                    }
                    }
                </script>
                <div style="font-size: 110%; white-space: nowrap; width:100%;">
                    Report:&#160;<xsl:value-of select="report_name"/>&#160;&#160;&#160;Date:&#160;<xsl:value-of select="create_date"/>
                </div>

                <div class="cssbr">&#160;</div>

                <xsl:apply-templates select="connection_error"/>
                <xsl:apply-templates select="info"/>

                <xsl:apply-templates select="item_report"/>
<!--                    <xsl:sort select="@id_order"/>-->
<!--                </xsl:apply-templates>-->

                <div class="cssbr">&#160;</div>
                <table style="width:100%;">
                    <tr>
                        <td style="border:0px; text-align:center; font-size: 90%;">Hostname:&#160;<xsl:value-of
                                select="hostname"/>&#160;&#160;&#160;Address:&#160;<xsl:value-of select="address"/>&#160;&#160;&#160;Version:&#160;<xsl:value-of
                                select="version"/>&#160;&#160;&#160;Platform:&#160;<xsl:value-of select="platform"/>
                        </td>
                    </tr>
                </table>

            </body>
        </html>
    </xsl:template>

    <xsl:template match="connection_error">
        <div class="header">
            <xsl:value-of select="."/>
        </div>
    </xsl:template>

    <xsl:template match="info">
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="6">General Information</td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td>Name</td>
                <td>Host</td>
                <td style="text-align: center;">Version</td>
                <td style="text-align: center;">Platform</td>
                <td>Availibilty Sessions</td>
            </tr>
            <xsl:apply-templates select="info_row"/>
        </table>
    </xsl:template>
    <xsl:template match="info_row">
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="tsm_name"/>
            </td>
            <td>
                <xsl:value-of select="host"/>
            </td>
            <td style="text-align: center;">
                <xsl:value-of select="version"/>
            </td>
            <td style="text-align: center;">
                <xsl:value-of select="platform"/>
            </td>
            <td>
                <xsl:value-of select="sesstatus"/>
            </td>
        </tr>
    </xsl:template>

    <!--===========================================================================-->

    <xsl:template match="db">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="5">Database&#160;/&#160;Logs</td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td style="text-align: right;">DB Usage&#160;&#160;/&#160;&#160;Free Space on FS</td>
                <td style="text-align: center;">Last DB Backup</td>
                <td style="text-align: right;">Archive Log Usage-Size&#160;&#160;/&#160;&#160;Free Space on FS</td>
                <td style="text-align: right;">Active Log Usage-Size&#160;&#160;/&#160;&#160;Free Space on FS</td>
            </tr>
            <xsl:apply-templates select="db_row"/>
        </table>
    </xsl:template>

    <xsl:template match="db_row">
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td style="text-align: right;">
                <xsl:if test="db_alert='true'">
                    <xsl:attribute name="class">error</xsl:attribute>
                </xsl:if>
                <xsl:value-of select="pct_db"/>&#160;%&#160;-&#160;<xsl:value-of select="used_mb"/>&#160;&#160;/&#160;&#160;<xsl:value-of select="free_mb"/>
            </td>
            <td style="text-align: center;">
                <xsl:value-of select="last_backup_date"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="arch_pct_log"/>&#160;%&#160;-&#160;<xsl:value-of select="arch_used_log"/>&#160;&#160;/&#160;&#160;<xsl:value-of select="arch_free_mb"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="active_pct_log"/>&#160;%&#160;-&#160;<xsl:value-of select="total_space_mb"/>&#160;&#160;/&#160;&#160;<xsl:value-of select="active_free_fs_mb"/>
            </td>
        </tr>
    </xsl:template>

    <!--===========================================================================-->

    <xsl:template match="volhistory">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td><button onclick="myFunction('volhistory_item')" ID="toggle_volhistory_item"><xsl:value-of select="@toggle"/></button>&#160;Volume History for the last&#160;<xsl:value-of select="lasthour"/></td>
            </tr>
        </table>
        <div ID="volhistory_item" STYLE="display: {@display}">

        <table class="mainTable">
<!--            <tr class="headerTab">-->
<!--                <td colspan="7">Volume History for the last&#160;<xsl:value-of select="lasthour"/>-->
<!--                </td>-->
<!--            </tr>-->
            <tr class="headerRow">
                <td>Server</td>
                <td>Date/Time</td>
                <td>Volume Type</td>
                <td>Device Class</td>
                <td>Volume Name</td>
                <td>Volume Location</td>
                <td>Command</td>
            </tr>
            <xsl:apply-templates select="volhistory_row"/>
        </table>
        </div>
    </xsl:template>
    <xsl:template match="volhistory_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="7"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="date_time"/>
            </td>
            <td>
                <xsl:value-of select="type"/>
            </td>
            <td>
                <xsl:value-of select="devclass"/>
            </td>
            <td>
                <xsl:value-of select="volume_name"/>
            </td>
            <td>
                <xsl:value-of select="location"/>
            </td>
            <td>
                <xsl:value-of select="command"/>
            </td>
        </tr>
    </xsl:template>

    <!--===========================================================================-->

    <xsl:template match="client_schedules">
        <div class="cssbr">&#160;</div>

        <table class="mainTable">
            <tr class="headerTab">
                <td><button onclick="myFunction('item_sched')" ID="toggle_item_sched"><xsl:value-of select="@toggle"/></button>&#160;The Client Schedules&#160;<xsl:value-of select="mess"/></td>
            </tr>
        </table>
        <div ID="item_sched" STYLE="display: {@display}">
        <table class="mainTable">
<!--            <tr class="headerTab">-->
<!--                <td colspan="10">The Client Schedules&#160;<xsl:value-of select="mess"/>-->
<!--                </td>-->
<!--            </tr>-->

            <tr class="row">
                <td colspan="11">
                    <table style="border-style: none;">
                        <tr class="row" style="border-style: none; font-weight:bold;font-size: 90%;">
                            <td style="border-style: none; padding-right: 10px;"><span class="box_red">xx</span>&#160;Failed:&#160;<xsl:value-of select="failed"/></td>
                            <td style="border-style: none; padding-right: 10px;"><span class="box_yellow">xx</span>&#160;Missed:&#160;<xsl:value-of select="missed"/></td>
                            <td style="border-style: none; padding-right: 10px;"><span class="box_green">xx</span>&#160;Completed:&#160;<xsl:value-of select="completed"/></td>
                            <td style="border-style: none; padding-right: 10px;"><span class="box_blue">xx</span>&#160;In Progress:&#160;<xsl:value-of select="started"/></td>
                            <td style="border-style: none; padding-right: 10px;">Summary:&#160;<xsl:value-of select="sum"/></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr class="headerRow">
                <td>Node</td>
                <td>Schedule</td>
                <td style="text-align: center;">TCP Name/Address</td>
                <td style="text-align: center;">Version</td>
                <td style="text-align: center;">Platform</td>
                <td style="text-align: center;">Scheduled Start</td>
                <td style="text-align: center;" NOWRAP="">Started/Completed</td>
                <td style="text-align: center;" NOWRAP="">Elapsed Time</td>
                <td style="text-align: center;">Last Result</td>
                <td style="text-align: center;" NOWRAP="">Next Start</td>
                <td>History (max <xsl:value-of select="historydays"/> last events)</td>
            </tr>
            <xsl:apply-templates select="client_schedules_row"/>
        </table>
        </div>
    </xsl:template>
    <xsl:template match="client_schedules_row">
        <xsl:if test="newdomain='true'">
            <tr class="headerTab">
                <td colspan="11" style="color:#FFFFFF;">
                    <xsl:value-of select="domain_name"/> -
                    <xsl:value-of select="server_name"/>
                </td>
            </tr>
        </xsl:if>
        <tr class="row">
            <td>
                <div>
                    <B>
                        <xsl:value-of select="node_name"/>
                    </B>
                </div>
            </td>
            <td>
                <xsl:value-of select="schedule_name"/>
            </td>
            <td style="text-align: center;">
                <div>
                    <xsl:value-of select="tcp_name"/>
                </div>
                <div>
                    <xsl:value-of select="tcp_address"/>
                </div>
            </td>
            <td style="text-align: center;" NOWRAP="">
                <xsl:value-of select="client_version"/>
            </td>
            <td style="text-align: center;" NOWRAP="">
                <xsl:value-of select="platform"/>
            </td>
            <td style="text-align: center;" NOWRAP="">
                <xsl:value-of select="scheduled_start"/>
            </td>
            <td style="text-align: center;" NOWRAP="">
                <div>
                    <xsl:value-of select="actual_start"/>
                </div>
                <div>
                    <xsl:value-of select="completed"/>
                </div>
            </td>
            <td style="text-align: center;" NOWRAP="">
                <xsl:value-of select="elapsed_time"/>
            </td>
            <td style="text-align: center; font-size: 100%;">
                <xsl:if test="status='failed'">
                    <xsl:attribute name="class">error</xsl:attribute>
                </xsl:if>
<!--                <xsl:if test="status='started'">-->
<!--                    <xsl:attribute name="class">started</xsl:attribute>-->
<!--                </xsl:if>-->
                <xsl:if test="status='in progress'">
                    <xsl:attribute name="class">progress</xsl:attribute>
                </xsl:if>
<!--                <xsl:if test="status='running'">-->
<!--                    <xsl:attribute name="class">running</xsl:attribute>-->
<!--                </xsl:if>-->
                <xsl:if test="status='missed'">
                    <xsl:attribute name="class">warning</xsl:attribute>
                </xsl:if>
                <xsl:if test="status='completed'">
                    <xsl:attribute name="class">completed</xsl:attribute>
                </xsl:if>
                <div style="font-weight: bold;">
                    <xsl:value-of select="status"/>
                </div>
                <div class="completed">
                    <xsl:if test="code_result='failed'">
                        <xsl:attribute name="class">error</xsl:attribute>
                    </xsl:if>
                    <xsl:if test="code_result='warning'">
                        <xsl:attribute name="class">warning2</xsl:attribute>
                    </xsl:if>
                    <xsl:value-of select="result"/>
                </div>
            </td>
            <td style="text-align: center;" NOWRAP="">
                <xsl:value-of select="future_schedule"/>
            </td>
            <td>
                <xsl:apply-templates select="history/event"/>
            </td>
        </tr>
    </xsl:template>

    <xsl:template match="history/event">
        <span>&#160;</span>
        <span class="box_green" title="{@date}">
<!--            <xsl:if test=".='uncertain'">-->
<!--                <xsl:attribute name="class">box_blue</xsl:attribute>-->
<!--            </xsl:if>-->
            <xsl:if test=".='running'">
                <xsl:attribute name="class">box_blue</xsl:attribute>
            </xsl:if>
            <xsl:if test=".='started'">
                <xsl:attribute name="class">box_blue</xsl:attribute>
            </xsl:if>
            <xsl:if test=".='in progress'">
                <xsl:attribute name="class">box_blue</xsl:attribute>
            </xsl:if>
            <xsl:if test=".='failed'">
                <xsl:attribute name="class">box_red</xsl:attribute>
            </xsl:if>
            <xsl:if test=".='missed'">
                <xsl:attribute name="class">box_yellow</xsl:attribute>
            </xsl:if>xx</span>
    </xsl:template>

    <!--===========================================================================-->

    <xsl:template match="admin_schedules">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="8">The Administrative Schedules</td>
            </tr>
            <tr class="row">
                <td colspan="8">
                    <table style="border-style: none;">
                        <tr class="row" style="border-style: none; font-weight:bold;font-size: 90%;">
                            <td style="border-style: none; padding-right: 10px;"><span class="box_red">xx</span>&#160;Failed</td>
                            <td style="border-style: none; padding-right: 10px;"><span class="box_yellow">xx</span>&#160;Missed</td>
                            <td style="border-style: none; padding-right: 10px;"><span class="box_green">xx</span>&#160;Completed</td>
                            <td style="border-style: none; padding-right: 10px;"><span class="box_blue">xx</span>&#160;In Progress</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td>Schedule</td>
                <td style="text-align: center;" NOWRAP="">Scheduled Start</td>
                <td style="text-align: center;" NOWRAP="">Started / Completed</td>
                <td style="text-align: center;" NOWRAP="">Elapsed Time</td>
                <td style="text-align: center;">Last Result</td>
                <td style="text-align: center;" NOWRAP="">Next Start</td>
                <td>History (max <xsl:value-of select="historydays"/> last events)</td>
            </tr>
            <xsl:apply-templates select="admin_schedules_row"/>
        </table>
    </xsl:template>
    <xsl:template match="admin_schedules_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="8"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="schedule_name"/>
            </td>
            <td style="text-align: center;" NOWRAP="">
                <xsl:value-of select="scheduled_start"/>
            </td>
            <td style="text-align: center;" NOWRAP="">
                <div>
                    <xsl:value-of select="actual_start"/>
                </div>
                <div>
                    <xsl:value-of select="completed"/>
                </div>
            </td>
            <td style="text-align: center;" NOWRAP="">
                <xsl:value-of select="elapsed_time"/>
            </td>
            <td style="text-align: center; font-size: 100%; font-weight: bold;">
                <xsl:if test="status='failed'">
                    <xsl:attribute name="class">error</xsl:attribute>
                </xsl:if>
                <xsl:if test="status='missed'">
                    <xsl:attribute name="class">warning</xsl:attribute>
                </xsl:if>
                <xsl:if test="status='completed'">
                    <xsl:attribute name="class">completed</xsl:attribute>
                </xsl:if>
<!--                <xsl:if test="status='started'">-->
<!--                    <xsl:attribute name="class">progress</xsl:attribute>-->
<!--                </xsl:if>-->

                <xsl:if test="status='in progress'">
                    <xsl:attribute name="class">progress</xsl:attribute>
                </xsl:if>
                <xsl:value-of select="status"/>
            </td>
            <td style="text-align: center;" NOWRAP="">
                <xsl:value-of select="future_schedule"/>
            </td>
            <td>
                <xsl:apply-templates select="history/event"/>
            </td>
        </tr>
    </xsl:template>

    <xsl:template match="failed_nasbackup">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="4">Failed NAS backup for the last&#160;<xsl:value-of select="lasthour"/>
                </td>
            </tr>
            <xsl:choose>
                <xsl:when test="failed_nasbackup_row !=''">
                    <tr class="headerRow">
                        <td>Server</td>
                        <td>Entity</td>
                        <td>Start time</td>
                        <td>End time</td>
                    </tr>
                    <xsl:apply-templates select="failed_nasbackup_row"/>
                </xsl:when>
                <xsl:otherwise>
                    <tr class="headerOK">
                        <td colspan="4">None</td>
                    </tr>
                </xsl:otherwise>
            </xsl:choose>
        </table>
    </xsl:template>
    <xsl:template match="failed_nasbackup_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="5"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="entity"/>
            </td>
            <td>
                <xsl:value-of select="start_time"/>
            </td>
            <td>
                <xsl:value-of select="end_time"/>
            </td>
        </tr>
    </xsl:template>


    <xsl:template match="serveragents">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="4">The Servers/Storage Agents are not active</td>
            </tr>
            <xsl:choose>
                <xsl:when test="failed_nasbackup_row !=''">
                    <tr class="headerRow">
                        <td>Server</td>
                        <td>Server/storage agent</td>
                        <td>Address</td>
                        <td>Last access</td>
                    </tr>
                    <xsl:apply-templates select="serveragents_row"/>
                </xsl:when>
                <xsl:otherwise>
                    <tr class="headerOK">
                        <td colspan="4">None</td>
                    </tr>
                </xsl:otherwise>
            </xsl:choose>
        </table>
    </xsl:template>
    <xsl:template match="serveragents_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="4"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td>
                <xsl:value-of select="server"/>
            </td>
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="address"/>
            </td>
            <td>
                <xsl:value-of select="lastacc_time"/>
            </td>
        </tr>
    </xsl:template>


    <xsl:template match="drivenotonline">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="4">Drives not online</td>
            </tr>
            <xsl:choose>
                <xsl:when test="drivenotonline_row !=''">
                    <tr class="headerRow">
                        <td>Server</td>
                        <td>Library name</td>
                        <td>Drive name</td>
                        <td>Device type</td>
                    </tr>
                    <xsl:apply-templates select="drivenotonline_row"/>
                </xsl:when>
                <xsl:otherwise>
                    <tr class="headerOK">
                        <td colspan="4">None</td>
                    </tr>
                </xsl:otherwise>
            </xsl:choose>
        </table>
    </xsl:template>
    <xsl:template match="drivenotonline_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="4"/>
            </tr>
        </xsl:if>

        <tr class="row_red">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="library_name"/>&#160;(&#160;<xsl:value-of select="num_drives"/>&#160;drives&#160;)
            </td>
            <td>
                <xsl:value-of select="drive_name"/>
            </td>
            <td>
                <xsl:value-of select="device_type"/>
            </td>
        </tr>
    </xsl:template>


    <xsl:template match="pathnotonline">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="6">Paths not online</td>
            </tr>
            <xsl:choose>
                <xsl:when test="pathnotonline_row !=''">
                    <tr class="headerRow">
                        <td>Server</td>
                        <td>Source name</td>
                        <td>Source type</td>
                        <td>Destination name</td>
                        <td>Destination type</td>
                        <td>Device</td>
                    </tr>
                    <xsl:apply-templates select="pathnotonline_row"/>
                </xsl:when>
                <xsl:otherwise>
                    <tr class="headerOK">
                        <td colspan="6">None</td>
                    </tr>
                </xsl:otherwise>
            </xsl:choose>
        </table>
    </xsl:template>
    <xsl:template match="pathnotonline_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="6"/>
            </tr>
        </xsl:if>
        <tr class="row_red">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="source_name"/>
            </td>
            <td>
                <xsl:value-of select="source_type"/>
            </td>
            <td>
                <xsl:value-of select="destination_name"/>
            </td>
            <td>
                <xsl:value-of select="destination_type"/>
            </td>
            <td>
                <xsl:value-of select="device"/>
            </td>
        </tr>
    </xsl:template>

    <xsl:template match="virtualactivity">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td><button onclick="myFunction('virtual_item')" ID="toggle_virtual_item"><xsl:value-of select="@toggle"/></button>&#160;Virtual Client Activity&#160;<xsl:value-of select="mess"/></td>
            </tr>
        </table>
        <div ID="virtual_item" STYLE="display: {@display}">
        <table class="mainTable">
<!--            <tr class="headerTab">-->
<!--                <td colspan="12">Virtual Client Activity - <xsl:value-of select="mess"/></td>-->
<!--            </tr>-->
            <tr class="headerRow">
                <td>Server</td>
                <td>Domain</td>
                <td>Node</td>
                <td>Name</td>
                <td style="text-align: center;">Activity</td>
                <td>Schedule</td>
                <td>Type</td>
                <td style="text-align: right;" NOWRAP="">Amount</td>
                <td NOWRAP="" style="text-align: center;">Started/Completed</td>
                <td style="text-align: center;" NOWRAP="">Elapsed Time</td>
                <td style="text-align: center;">Result</td>
                <td>History (max <xsl:value-of select="historydays"/> last events)</td>
            </tr>

            <xsl:apply-templates select="virtualactivity_row"/>
            <tr class="headerRow">
                <td>Total:</td>
                <td/>
                <td/>
                <td>
                    <xsl:value-of select="number"/>
                </td>
                <td/>
                <td/>
                <td/>
                <td style="text-align: right;" NOWRAP="">
                    <div>Backup:<xsl:value-of select="sum_backup"/>
                    </div>
                    <div>Restore:<xsl:value-of select="sum_restore"/>
                    </div>
                </td>
                <td/>
                <td/>
                <td/>
                <td/>
            </tr>
        </table>
        </div>
    </xsl:template>

    <xsl:template match="virtualactivity_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="12"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td NOWRAP="">
                <xsl:value-of select="domain_name"/>
            </td>
            <td>
                <div>
                    <xsl:value-of select="node_name"/>
                </div>
            </td>
            <td>
                <xsl:if test="successful_vm='false'">
                    <xsl:attribute name="class">error</xsl:attribute>
                </xsl:if>
                <xsl:value-of select="sub_entity"/>
            </td>
            <td style="text-align: center;">
                <xsl:value-of select="activity"/>
            </td>
            <td>
                <xsl:value-of select="schedule"/>
            </td>
            <td>
                <xsl:value-of select="type"/>
            </td>
            <td style="text-align: right;" NOWRAP="">
                <xsl:value-of select="bytes"/>
            </td>
            <td NOWRAP="" style="text-align: center;">
                <div>
                    <xsl:value-of select="start_vm"/>
                </div>
                <div>
                    <xsl:value-of select="end_vm"/>
                </div>
            </td>
            <td style="text-align: center;" NOWRAP="">
                <xsl:value-of select="elapsed_time"/>
            </td>
            <td class="completed" style="text-align: center;">
                <xsl:if test="successful_vm='false'">
                    <xsl:attribute name="class">error</xsl:attribute>
                </xsl:if>
                <xsl:value-of select="result"/>
            </td>

            <td>
                <xsl:apply-templates select="virthistory/event"/>
            </td>
        </tr>
    </xsl:template>

    <xsl:template match="virthistory/event">
        <span>&#160;</span>
        <span class="box_green" title="{@date}&#160;-&#160;{@type}">
            <xsl:if test=".!='yes'">
                <xsl:attribute name="class">box_red</xsl:attribute>
            </xsl:if>xx</span>
    </xsl:template>

<!--    ==========-->
    <xsl:template match="replication">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td><button onclick="myFunction('repl_item')" ID="toggle_repl_item"><xsl:value-of select="@toggle"/></button>&#160;Replicated Nodes for the last&#160;<xsl:value-of select="lasthour"/></td>
            </tr>
        </table>
        <div ID="repl_item" STYLE="display: {@display}">

        <table class="mainTable">
<!--            <tr class="headerTab">-->
<!--                <td colspan="7">Replicated Nodes for the last <xsl:value-of select="lasthour"/></td>-->
<!--            </tr>-->
            <tr class="headerRow">
                <td>Server</td>
                <td>Node</td>
                <td>Domain</td>
                <td style="text-align: center;">TCP Name/Address</td>
                <td style="text-align: center;">Platform</td>
                <td style="text-align: right;">Files</td>
                <td style="text-align: right;">Replicated</td>
            </tr>
            <xsl:apply-templates select="replication_row"/>
            <tr class="headerRow">
                <td>Total:</td>
                <td><xsl:value-of select="countnode"/></td>
                <td/>
                <td/>
                <td/>
                <td style="text-align: right;"><xsl:value-of select="sumfiles"/></td>
                <td style="text-align: right;"><xsl:value-of select="sumbytes"/></td>
            </tr>
        </table>
        </div>
    </xsl:template>

    <xsl:template match="replication_row">
        <tr class="row">
            <td><xsl:value-of select="server_name"/></td>
            <td><xsl:value-of select="node_name"/></td>
            <td NOWRAP=""><xsl:value-of select="domain_name"/></td>
            <td style="text-align: center;">
                <div><xsl:value-of select="tcp_name"/></div>
                <div><xsl:value-of select="tcp_address"/></div>
            </td>
            <td style="text-align: center;"><xsl:value-of select="platform_name"/></td>
            <td style="text-align: right;" NOWRAP=""><xsl:value-of select="files"/></td>
            <td style="text-align: right;" NOWRAP=""><xsl:value-of select="bytes"/></td>
        </tr>
    </xsl:template>

    <!--    ======occ=======-->

    <xsl:template match="occupancy">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td><button onclick="myFunction('occ_item')" ID="toggle_occ_item"><xsl:value-of select="@toggle"/></button>&#160;Occupancy</td>
            </tr>
        </table>
        <div ID="occ_item" STYLE="display: {@display}">
        <table class="mainTable">
            <tr class="headerRow">
                <td>Server</td>
                <td>Domain</td>
                <td>Node</td>
                <td style="text-align: center;">TCP Name/Address</td>
                <td style="text-align: right;">Occupancy</td>
                <td style="text-align: center;">Version</td>
                <td style="text-align: center;">Platform</td>
            </tr>
            <xsl:apply-templates select="occupancy_row"/>
            <tr class="headerRow">
                <td>Total:</td>
                <td/>
                <td><xsl:value-of select="countnode"/></td>
                <td/>
                <td/>
                <td/>
                <td/>
            </tr>
        </table>
        </div>
    </xsl:template>

    <xsl:template match="occupancy_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="7"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td NOWRAP="">
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="domain"/>
            </td>
            <td>
                <xsl:value-of select="node"/>
            </td>
            <td style="text-align: center;">
                <div>
                    <xsl:value-of select="tcp_name"/>
                </div>
                <div>
                    <xsl:value-of select="address"/>
                </div>
            </td>
            <td style="text-align: right;" NOWRAP="">
                <xsl:value-of select="occ"/>
            </td>
            <td style="text-align: center;">
                <xsl:value-of select="client_version"/>
            </td>
            <td style="text-align: center;" NOWRAP="">
                <xsl:value-of select="platform"/>
            </td>

        </tr>
    </xsl:template>


<!--    =============-->

    <xsl:template match="clientactivity">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td><button onclick="myFunction('activity_item')" ID="toggle_activity_item"><xsl:value-of select="@toggle"/></button>&#160;Client activity for the last&#160;<xsl:value-of select="lasthour"/></td>
            </tr>
        </table>
        <div ID="activity_item" STYLE="display: {@display}">
        <table class="mainTable">
<!--            <tr class="headerTab">-->
<!--                <td colspan="13">Client activity for the last-->
<!--                    <xsl:value-of select="lasthour"/>-->
<!--                </td>-->
<!--            </tr>-->
            <tr class="headerRow">
                <td>Server</td>
                <td>Domain</td>
                <td>Node</td>
                <td style="text-align: center;">Version</td>
                <td style="text-align: center;">Platform</td>
                <td style="text-align: center;">TCP Name/Address</td>
                <td style="text-align: center;">Activity</td>
                <td style="text-align: right;" NOWRAP="">Data amount</td>
                <td style="text-align: right;">Speed MB/s</td>
                <td style="text-align: right;">Failed</td>
                <td style="text-align: center;">Elapsed Time</td>
                <td style="text-align: center;">Media wait</td>
            </tr>
            <xsl:apply-templates select="clientactivity_row"/>
            <tr class="headerRow">
                <td>Total:</td>
                <td/>
                <td><xsl:value-of select="countnode"/></td>
                <td/>
                <td/>
                <td/>
                <td/>
                <td style="text-align: right;" NOWRAP="">
                    <div>Backup/Archive:
                        <xsl:value-of select="sumbytes_backup"/>
                    </div>
                    <div>Restore/Retrieve:<xsl:value-of select="sumbytes_restore"/>
                    </div>
                </td>
                <td/>
                <td style="text-align: right;">
                    <xsl:value-of select="sumfailed"/>
                </td>
                <td/>
                <td style="text-align: center;">
                    <xsl:value-of select="summediaw"/>
                </td>
            </tr>
        </table>
        </div>
    </xsl:template>

    <xsl:template match="clientactivity_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="12"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td NOWRAP="">
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="domain"/>
            </td>
            <td>
                <xsl:value-of select="node"/>
            </td>
            <td style="text-align: center;">
                <xsl:value-of select="client_version"/>
            </td>
            <td style="text-align: center;" NOWRAP="">
                <xsl:value-of select="platform"/>
            </td>
            <td style="text-align: center;">
                <div>
                    <xsl:value-of select="tcp_name"/>
                </div>
                <div>
                    <xsl:value-of select="address"/>
                </div>
            </td>
            <td style="text-align: center;">
                <xsl:value-of select="activity"/>
            </td>
            <td style="text-align: right;" NOWRAP="">
                <xsl:value-of select="sumbytes"/>
            </td>
            <td style="text-align: right;" NOWRAP="">
                <xsl:value-of select="speed"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="sumfailed"/>
            </td>
            <td style="text-align: center;">
                <xsl:value-of select="sumtime"/>
            </td>
            <td style="text-align: center;">
                <xsl:value-of select="summediaw"/>
            </td>
        </tr>
    </xsl:template>


    <xsl:template match="storagepools">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="9">Storage Pools</td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td>Storage Pool</td>
                <td>Storage Type</td>
                <td>Pool Type</td>
                <td>Device Class</td>
                <td style="text-align: right;">Capacity</td>
                <td>Utilization</td>
                <td style="text-align: center;">Volume in Use</td>
                <td style="text-align: center;">Total</td>
            </tr>
            <xsl:apply-templates select="storagepools_row"/>
        </table>
    </xsl:template>
    <xsl:template match="storagepools_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="9"/>
            </tr>
        </xsl:if>

        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="stgpool"/>
            </td>
            <td>
                <xsl:value-of select="stg_type"/>
            </td>
            <td>
                <xsl:value-of select="type"/>
            </td>
            <td>
                <xsl:value-of select="deviceclass"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="capacity"/>
            </td>
            <td width="195">
                <xsl:if test="bar != ''">
                    <table class="barTable" cellpadding="0" cellspacing="0">
                        <tr style="border:none;">
                            <td style="border:none;" width="40"><xsl:value-of select="pct_util"/>&#160;%
                            </td>
                            <td style="border:none;">
                                <table style="border:0;" cellpadding="0" cellspacing="0" width="{bar}" height="6">
                                    <tr>
                                        <td style="background-color:{colorbar}; font-size: 1px; line-height: 1px;" height="6">&#160;</td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </xsl:if>
            </td>
            <td style="text-align: center;">
                <xsl:value-of select="numused"/>
            </td>
            <td style="text-align: center;">
                <xsl:value-of select="maxscratch"/>
            </td>
        </tr>
    </xsl:template>

    <xsl:template match="storagepoolscont">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="10">Directory Storage Pools</td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td>Storage pool</td>
                <td>Storage Type</td>
                <td>Pool Type</td>
                <td style="text-align: right;">Capacity</td>
                <td style="text-align: right;">Utilization</td>
                <td>Utilization (%)</td>
                <td style="text-align: right;">Compression Savings</td>
                <td style="text-align: right;">Deduplication Savings</td>
                <td style="text-align: right;">Total Savings</td>
            </tr>
            <xsl:apply-templates select="storagepoolscont_row"/>
        </table>
    </xsl:template>
    <xsl:template match="storagepoolscont_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="10"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="stgpool"/>
            </td>
            <td>
                <xsl:value-of select="stg_type"/>
            </td>
            <td>
                <xsl:value-of select="type"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="capacity"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="utiltotal"/>
            </td>
            <td width="195">
                <xsl:if test="bar != ''">
                    <table class="barTable" cellpadding="0" cellspacing="0">
                        <tr style="border:none;">
                            <td style="border:none;" width="40"><xsl:value-of select="pct_util"/>&#160;%
                            </td>
                            <td style="border:none;">
                                <table style="border:0;" cellpadding="0" cellspacing="0" width="{bar}" height="6">
                                    <tr>
                                        <td style="background-color:{colorbar}; font-size: 1px; line-height: 1px;" height="6">&#160;</td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </xsl:if>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="compression"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="deduplication"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="saved"/>
            </td>
        </tr>
    </xsl:template>

    <xsl:template match="storagepoolscloud">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="9">Cloud Storage Pools</td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td>Storage pool</td>
                <td>Storage Type</td>
                <td>Pool Type</td>
                <td style="text-align: right;">Capacity</td>
                <td style="text-align: right;">Utilized</td>
                <td style="text-align: right;">Compression</td>
                <td style="text-align: right;">Deduplication</td>
                <td style="text-align: right;">Space Saved</td>
            </tr>
            <xsl:apply-templates select="storagepoolscloud_row"/>
        </table>
    </xsl:template>
    <xsl:template match="storagepoolscloud_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="10"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="stgpool"/>
            </td>
            <td>
                <xsl:value-of select="stg_type"/>
            </td>
            <td>
                <xsl:value-of select="type"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="capacity"/>
            </td>
            <td width="195">
                <xsl:if test="bar != ''">
                    <table class="barTable" cellpadding="0" cellspacing="0">
                        <tr style="border:none;">
                            <td style="border:none;" width="40"><xsl:value-of select="pct_util"/>&#160;%>
                            </td>
                            <td style="border:none;">
                                <table style="border:0;" cellpadding="0" cellspacing="0" width="{bar}" height="6">
                                    <tr>
                                        <td style="background-color:{colorbar}; font-size: 1px; line-height: 1px;"
                                            height="6">&#160;
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </xsl:if>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="compression"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="deduplication"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="saved"/>
            </td>
        </tr>
    </xsl:template>

    <xsl:template match="libvolstatus">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="5">Library Volumes</td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td>Library</td>
                <td style="text-align: right;">Private</td>
                <td style="text-align: right;">Scratch</td>
                <td style="text-align: right;">Total</td>
            </tr>
            <xsl:apply-templates select="libvolstatus_row"/>
        </table>
    </xsl:template>
    <xsl:template match="libvolstatus_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="5"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="library_name"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="private"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="scratch"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="total"/>
            </td>
        </tr>
    </xsl:template>


    <xsl:template match="volumeerror">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="11">Volume Read/Write errors</td>
            </tr>
            <xsl:choose>
                <xsl:when test="volume_err !=''">
                    <tr class="headerRow">
                        <td>Server</td>
                        <td>Storage pool name</td>
                        <td>Volume name</td>
                        <td>Read errors</td>
                        <td>Write errors</td>
                        <td>Error state</td>
                        <td>Access</td>
                        <td>Status</td>
                        <td>Location</td>
                        <td>Last write</td>
                        <td>Last read</td>
                    </tr>
                    <xsl:apply-templates select="volume_err"/>
                </xsl:when>
                <xsl:otherwise>
                    <tr class="headerOK">
                        <td colspan="11">None</td>
                    </tr>
                </xsl:otherwise>
            </xsl:choose>
        </table>
    </xsl:template>
    <xsl:template match="volumeerror_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="11"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="stgpool_name"/>
            </td>
            <td>
                <xsl:value-of select="volume_name"/>
            </td>
            <td>
                <xsl:value-of select="read_errors"/>
            </td>
            <td>
                <xsl:value-of select="write_errors"/>
            </td>
            <td>
                <xsl:value-of select="error_state"/>
            </td>
            <td>
                <xsl:value-of select="access"/>
            </td>
            <td>
                <xsl:value-of select="status"/>
            </td>
            <td>
                <xsl:value-of select="location"/>
            </td>
            <td>
                <xsl:value-of select="last_write_date"/>
            </td>
            <td>
                <xsl:value-of select="last_read_date"/>
            </td>
        </tr>
    </xsl:template>


    <xsl:template match="drmedia">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td><button onclick="myFunction('item_drm')" ID="toggle_item_drm"><xsl:value-of select="@toggle"/></button>&#160;DRMedia</td>
            </tr>
        </table>
        <div ID="item_drm" STYLE="display: {@display}">

        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="8">DRMedia</td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td>Volume</td>
                <td>State</td>
                <td>Volume Type</td>
                <td>Library Name</td>
                <td>Storage Pool</td>
                <td>Location</td>
                <td>Last update</td>
            </tr>
            <xsl:apply-templates select="drmedia_row"/>
        </table>
        </div>
    </xsl:template>
    <xsl:template match="drmedia_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="8"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="volume_name"/>
            </td>
            <td>
                <xsl:value-of select="state"/>
            </td>
            <td>
                <xsl:value-of select="voltype"/>
            </td>
            <td>
                <xsl:value-of select="lib_name"/>
            </td>
            <td>
                <xsl:value-of select="stgpool_name"/>
            </td>
            <td>
                <xsl:value-of select="location"/>
            </td>
            <td>
                <xsl:value-of select="upd_date"/>
            </td>
        </tr>
    </xsl:template>


    <xsl:template match="unavailablevolumes">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="5">Unavailable and Read-Only Volumes</td>
            </tr>
            <xsl:choose>
                <xsl:when test="unavailablevolumes_row !=''">
                    <tr class="headerRow">
                        <td>Server</td>
                        <td>Device class</td>
                        <td>Storage pool name</td>
                        <td>Volume name</td>
                        <td>Access</td>
                    </tr>
                    <xsl:apply-templates select="unavailablevolumes_row"/>
                </xsl:when>
                <xsl:otherwise>
                    <tr class="headerOK">
                        <td colspan="5">None</td>
                    </tr>
                </xsl:otherwise>
            </xsl:choose>
        </table>
    </xsl:template>
    <xsl:template match="unavailablevolumes_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="5"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td>
                <xsl:value-of select="devclass_name"/>
            </td>
            <td>
                <xsl:value-of select="stgpool_name"/>
            </td>
            <td>
                <xsl:value-of select="volume_name"/>
            </td>
            <td>
                <xsl:if test="status='E'">
                    <xsl:attribute name="class">error</xsl:attribute>
                </xsl:if>
                <xsl:if test="access='W'">
                    <xsl:attribute name="class">warning</xsl:attribute>
                </xsl:if>
                <xsl:value-of select="access"/>
            </td>
        </tr>
    </xsl:template>


    <xsl:template match="actlog">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td><button onclick="myFunction('actlog_item')" ID="toggle_actlog_item"><xsl:value-of select="@toggle"/></button>&#160;Activity Log for the last&#160;<xsl:value-of select="lasthour"/>&#160;( originator = <xsl:value-of select="originator"/> )</td>
            </tr>
        </table>
        <div ID="actlog_item" STYLE="display: {@display}">
        <table class="mainTable">
<!--            <tr class="headerTab">-->
<!--                <td colspan="6">Activity Log for the last&#160;<xsl:value-of select="lasthour"/>&#160;( originator = <xsl:value-of select="originator"/> )</td>-->
<!--            </tr>-->
            <xsl:if test="attention !=''">
                <tr class="headerTab">
                    <td colspan="6">
                        <xsl:value-of select="attention"/>
                    </td>
                </tr>
            </xsl:if>
            <tr class="headerRow">
                <td>&#160;Server&#160;</td>
                <td style="text-align: center;">&#160;Date&#160;</td>
                <td style="text-align: center;">&#160;Type&#160;</td>
                <td>Domain</td>
                <td>Node</td>
                <td>Message</td>
            </tr>
            <xsl:apply-templates select="actlog_row"/>
        </table>
        </div>
    </xsl:template>

    <xsl:template match="actlog_row">
        <xsl:if test="separator='true'">
            <tr class="separator">
                <td COLSPAN="6"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td NOWRAP="">
                <xsl:value-of select="server_name"/>
            </td>

            <td NOWRAP="">
                <xsl:value-of select="date"/>
            </td>

            <td>
                <xsl:if test="originator='SERVER'">
                    <xsl:attribute name="style">font-weight: bold;</xsl:attribute>
                </xsl:if>
                <xsl:value-of select="originator"/>
            </td>


            <td NOWRAP="">
                <xsl:value-of select="domain"/>
            </td>

            <td NOWRAP="">
                <xsl:value-of select="node"/>
            </td>

            <td style="word-break: break-all;">
                <xsl:if test="severity='E'">
                    <xsl:attribute name="class">error</xsl:attribute>
                </xsl:if>
                <xsl:if test="severity='W' or severity='S'">
                    <xsl:attribute name="class">warning</xsl:attribute>
                </xsl:if>
                <xsl:value-of select="message"/>
            </td>
        </tr>
    </xsl:template>

    <!--===========================================================================-->
    <xsl:template match="serverutilization">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="7">Server Capacity</td>
            </tr>
            <tr class="headerRow">
                <td>Server</td>
                <td style="text-align: right;">Primary Pools</td>
                <td style="text-align: right;">Back-end License</td>
                <td style="text-align: right;">Front-end License</td>
                <td style="text-align: right;">PVU</td>
                <td style="text-align: right;">Nodes</td>
                <td style="text-align: right;">Objects</td>
            </tr>
            <xsl:apply-templates select="serverutilization_row"/>
            <tr class="headerRow">
                <td>Summarization</td>
                <td style="text-align: right;">
                    <xsl:value-of select="prim_pools_sum"/>
                </td>
                <td style="text-align: right;">
                    <xsl:value-of select="back_sum"/>
                </td>
                <td style="text-align: right;">
                    <xsl:value-of select="front_sum"/>
                </td>
                <td style="text-align: right;">
                    <xsl:value-of select="pvu_sum"/>
                </td>
                <td style="text-align: right;">
                    <xsl:value-of select="nodes_sum"/>
                </td>
                <td style="text-align: right;">
                    <xsl:value-of select="files_sum"/>
                </td>
            </tr>
        </table>
    </xsl:template>
    <xsl:template match="serverutilization_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="7"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="prim_pools"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="back_end"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="front_end"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="pvu"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="sumnodes"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="files"/>
            </td>
        </tr>
    </xsl:template>
    <!--===========================================================================-->
    <xsl:template match="reporttpl-list">
        <div class="cssbr">&#160;</div>

        <table class="mainTable">
            <tr class="headerTab">
                <td><button onclick="myFunction('{@id}')" ID="toggle_{@id}"><xsl:value-of select="@toggle"/></button>&#160;<xsl:value-of select="server_name"/>&#160;&#160;&#160;<xsl:value-of select="name"/>&#160;-&#160;<xsl:value-of select="description"/></td>
            </tr>
        </table>

        <div ID="{@id}" STYLE="display: {@display}">
        <table class="mainTable">
<!--            <tr class="headerTab">-->
<!--                <td><xsl:value-of select="server_name"/>&#160;&#160;&#160;&#160;&#160;&#160;&#160;<xsl:value-of select="name"/>&#160;-&#160;<xsl:value-of select="description"/></td>-->
<!--            </tr>-->
            <tr>
                <td>
                    <xsl:value-of select="result" disable-output-escaping="yes"/>
                </td>
            </tr>
        </table>
        </div>
    </xsl:template>


    <xsl:template match="reporttpl">
        <div class="cssbr">&#160;</div>

        <table class="mainTable">
            <tr class="headerTab">
                <td><button onclick="myFunction('{@id}')" ID="toggle_{@id}"><xsl:value-of select="@toggle"/></button>&#160;<xsl:value-of select="name"/>&#160;-&#160;<xsl:value-of select="description"/></td>
            </tr>
        </table>

        <div ID="{@id}" STYLE="display: {@display}">
        <xsl:choose>
            <xsl:when test="rows !=''">
                <table class="mainTable">
                    <xsl:apply-templates select="header"/>
                    <xsl:apply-templates select="rows"/>
                </table>
            </xsl:when>
            <xsl:otherwise>
                <table class="mainTable">
                    <tr class="headerOK">
                        <td>Empty</td>
                    </tr>
                </table>
            </xsl:otherwise>
        </xsl:choose>
        </div>
    </xsl:template>

    <xsl:template match="header">
        <tr class="headerRow">
            <xsl:apply-templates select="name_header"/>
        </tr>
    </xsl:template>
    <xsl:template match="name_header">
        <td>
            <xsl:value-of select="."/>
        </td>
    </xsl:template>

    <xsl:template match="rows">
        <xsl:apply-templates select="row"/>
    </xsl:template>
    <xsl:template match="row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td colspan="{separator/@span}"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <xsl:apply-templates select="name_row"/>
        </tr>
    </xsl:template>
    <xsl:template match="name_row">
        <td>
            <xsl:if test="@nowrap">
                <xsl:attribute name="nowrap"/>
            </xsl:if>
            <xsl:value-of select="."/>
        </td>
    </xsl:template>

    <!--===========================================================================-->

    <xsl:template match="expnodes">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="8">Expiration Period for nodes less 5 days</td>
            </tr>
            <xsl:choose>
                <xsl:when test="expnodes_row !=''">
                    <tr class="headerRow">
                        <td>Server</td>
                        <td>Domain</td>
                        <td>Nodes</td>
                        <td>Platform</td>
                        <td>Address</td>
                        <td>TCP Name</td>
                        <td style="text-align: right;">Remain days</td>
                        <td>Password Set Date/Time</td>
                    </tr>
                    <xsl:apply-templates select="expnodes_row"/>
                </xsl:when>
                <xsl:otherwise>
                    <tr class="headerOK">
                        <td colspan="8">None</td>
                    </tr>
                </xsl:otherwise>
            </xsl:choose>
        </table>
    </xsl:template>
    <xsl:template match="expnodes_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="8"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td NOWRAP="">
                <xsl:value-of select="domain_name"/>
            </td>
            <td>
                <xsl:value-of select="node_name"/>
            </td>
            <td>
                <xsl:value-of select="platform_name"/>
            </td>
            <td>
                <xsl:value-of select="tcp_address"/>
            </td>
            <td>
                <xsl:value-of select="tcp_name"/>
            </td>
            <td style="text-align: right;">
                <xsl:value-of select="passexp"/>
            </td>
            <td>
                <xsl:value-of select="pwset_time"/>
            </td>
        </tr>
    </xsl:template>


    <xsl:template match="newnodes">
        <div class="cssbr">&#160;</div>
        <table class="mainTable">
            <tr class="headerTab">
                <td colspan="7">New Nodes for the last
                    <xsl:value-of select="lasthour"/>
                </td>
            </tr>
            <xsl:choose>
                <xsl:when test="unavailablevolumes_row !=''">
                    <tr class="headerRow">
                        <td>Server</td>
                        <td>Domain</td>
                        <td>Nodes</td>
                        <td>Platform</td>
                        <td>Address</td>
                        <td>TCP Name</td>
                        <td>Reg.Date</td>
                        <td>Administrator</td>
                    </tr>
                    <xsl:apply-templates select="newnodes_row"/>
                </xsl:when>
                <xsl:otherwise>
                    <tr class="headerOK">
                        <td colspan="7">None</td>
                    </tr>
                </xsl:otherwise>
            </xsl:choose>
        </table>
    </xsl:template>
    <xsl:template match="newnodes_row">
        <xsl:if test="separator ='true'">
            <tr class="separator">
                <td COLSPAN="8"/>
            </tr>
        </xsl:if>
        <tr class="row">
            <td>
                <xsl:value-of select="server_name"/>
            </td>
            <td NOWRAP="">
                <xsl:value-of select="domain_name"/>
            </td>
            <td>
                <xsl:value-of select="node_name"/>
            </td>
            <td>
                <xsl:value-of select="platform_name"/>
            </td>
            <td>
                <xsl:value-of select="tcp_address"/>
            </td>
            <td>
                <xsl:value-of select="tcp_name"/>
            </td>
            <td>
                <xsl:value-of select="reg_time"/>
            </td>
            <td>
                <xsl:value-of select="reg_admin"/>
            </td>
        </tr>
    </xsl:template>


</xsl:stylesheet>
